import { Resend } from 'resend';
const resend = new Resend('re_xxxxxxxxx');
const { data, error } = await resend.inboxes.update(
'b3e2b2b6-3f0e-4c8e-9ad3-2f43a1e2c7f1',
{ name: 'Customer Support', friendlyName: 'Ada from Support' },
);
curl -X PATCH 'https://api.resend.com/inboxes/b3e2b2b6-3f0e-4c8e-9ad3-2f43a1e2c7f1' \
-H 'Authorization: Bearer re_xxxxxxxxx' \
-H 'Content-Type: application/json' \
-d $'{
"name": "Customer Support",
"friendly_name": "Ada from Support"
}'
resend inboxes update b3e2b2b6-3f0e-4c8e-9ad3-2f43a1e2c7f1 \
--name "Customer Support" \
--friendly_name "Ada from Support"
{
"object": "inbox",
"id": "b3e2b2b6-3f0e-4c8e-9ad3-2f43a1e2c7f1"
}
Update Inbox
Update the internal inbox name or the name recipients see when sending.
PATCH
/
inboxes
/
:inbox_id
import { Resend } from 'resend';
const resend = new Resend('re_xxxxxxxxx');
const { data, error } = await resend.inboxes.update(
'b3e2b2b6-3f0e-4c8e-9ad3-2f43a1e2c7f1',
{ name: 'Customer Support', friendlyName: 'Ada from Support' },
);
curl -X PATCH 'https://api.resend.com/inboxes/b3e2b2b6-3f0e-4c8e-9ad3-2f43a1e2c7f1' \
-H 'Authorization: Bearer re_xxxxxxxxx' \
-H 'Content-Type: application/json' \
-d $'{
"name": "Customer Support",
"friendly_name": "Ada from Support"
}'
resend inboxes update b3e2b2b6-3f0e-4c8e-9ad3-2f43a1e2c7f1 \
--name "Customer Support" \
--friendly_name "Ada from Support"
{
"object": "inbox",
"id": "b3e2b2b6-3f0e-4c8e-9ad3-2f43a1e2c7f1"
}
Inboxes are currently in private beta and only available to a limited
number of users. The response shape might change before GA. Get in
touch if you’re interested in testing this
feature.Once you have access, upgrade your Resend SDK to use the methods on this
page:
npm install resend@6.28.1-preview-inboxes.1
npm install -g resend-cli@2.22.0-preview-inboxes.1
name or friendly_name is required.
Path Parameters
Body Parameters
string
New internal name for the inbox. Recipients do not see it.
import { Resend } from 'resend';
const resend = new Resend('re_xxxxxxxxx');
const { data, error } = await resend.inboxes.update(
'b3e2b2b6-3f0e-4c8e-9ad3-2f43a1e2c7f1',
{ name: 'Customer Support', friendlyName: 'Ada from Support' },
);
curl -X PATCH 'https://api.resend.com/inboxes/b3e2b2b6-3f0e-4c8e-9ad3-2f43a1e2c7f1' \
-H 'Authorization: Bearer re_xxxxxxxxx' \
-H 'Content-Type: application/json' \
-d $'{
"name": "Customer Support",
"friendly_name": "Ada from Support"
}'
resend inboxes update b3e2b2b6-3f0e-4c8e-9ad3-2f43a1e2c7f1 \
--name "Customer Support" \
--friendly_name "Ada from Support"
{
"object": "inbox",
"id": "b3e2b2b6-3f0e-4c8e-9ad3-2f43a1e2c7f1"
}
Was this page helpful?
⌘I